org.apache.hc.client5.http.entity

## Class DeflateInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.hc.client5.http.entity.DeflateInputStream

- All Implemented Interfaces:
    Closeable, AutoCloseable

      public class DeflateInputStream
      extends InputStream

  Deflate input stream. This class includes logic needed for various Rfc's in order to reasonably implement the "deflate" compression style.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateInputStream(InputStream wrapped)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `available()` Get available.
    `void` | `close()` Close.
    `void` | `mark(int readLimit)` Mark.
    `boolean` | `markSupported()` Check if mark is supported.
    `int` | `read()` Read a byte.
    `int` | `read(byte[] b)` Read lots of bytes.
    `int` | `read(byte[] b, int off, int len)` Read lots of specific bytes.
    `void` | `reset()` Reset.
    `long` | `skip(long n)` Skip

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateInputStream

          public DeflateInputStream(InputStream wrapped)
                             throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### read

          public int read()
                   throws IOException

      Read a byte.
      Specified by:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b)
                   throws IOException

      Read lots of bytes.
      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### read

          public int read(byte[] b,
                          int off,
                          int len)
                   throws IOException

      Read lots of specific bytes.
      Overrides:
        `read` in class `InputStream`
      Throws:
        `IOException`

    - #### skip

          public long skip(long n)
                    throws IOException

      Skip
      Overrides:
        `skip` in class `InputStream`
      Throws:
        `IOException`

    - #### available

          public int available()
                        throws IOException

      Get available.
      Overrides:
        `available` in class `InputStream`
      Throws:
        `IOException`

    - #### mark

          public void mark(int readLimit)

      Mark.
      Overrides:
        `mark` in class `InputStream`

    - #### reset

          public void reset()
                     throws IOException

      Reset.
      Overrides:
        `reset` in class `InputStream`
      Throws:
        `IOException`

    - #### markSupported

          public boolean markSupported()

      Check if mark is supported.
      Overrides:
        `markSupported` in class `InputStream`

    - #### close

          public void close()
                     throws IOException

      Close.
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `InputStream`
      Throws:
        `IOException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.